OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.CullVertex

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTCullVertex :: MonadIO m => m Bool
- gl_EXT_cull_vertex :: Bool
- gl_CULL_VERTEX_EXT :: GLenum
- gl_CULL_VERTEX_EYE_POSITION_EXT :: GLenum
- gl_CULL_VERTEX_OBJECT_POSITION_EXT :: GLenum
- glCullParameterdvEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glCullParameterfvEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()

# Extension Support

glGetEXTCullVertex :: MonadIO m => m Bool

Is the EXT_cull_vertex extension supported?

gl_EXT_cull_vertex :: Bool

Is the EXT_cull_vertex extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTCullVertex` in those cases instead.

# Enums

gl_CULL_VERTEX_EXT :: GLenum

gl_CULL_VERTEX_EYE_POSITION_EXT :: GLenum

gl_CULL_VERTEX_OBJECT_POSITION_EXT :: GLenum

# Functions

glCullParameterdvEXT

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `CullParameterEXT`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glCullParameterfvEXT

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `CullParameterEXT`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |